@import url("colors.css");
@import url("sizes.css");
@import url("media.css");
@import url("custom.css");

* {
	margin: 0;
	padding: 0;
	outline: 0;
	box-sizing: border-box;
}

body {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	align-items: start;
	font-family: "Inter", sans-serif;
	font-size: 14px;
	text-rendering: optimizeLegibility;
	-webkit-font-smoothing: antialiased;
}

html,
body,
#root {
	width: 100%;
	height: 100%;
}

p {
	margin-bottom: 0;
}

footer {
	flex-shrink: 0;
}

.content-wrap {
	flex: 1 1 auto;
	bottom: 0;
}

.hover_color_blue_primary,
.hover_color_blue_secondary,
.hover_color_red_primary,
.hover_color_red_secondary {
	cursor: pointer;
	transition: color 0.3s ease;
}

.hover_bg_blue_primary,
.hover_bg_blue_secondary {
	cursor: pointer;
	transition: background-color 0.2s ease;
}

.flatpickr-time {
	background-color: #ffffff !important;
	opacity: 1 !important;
}

.flatpickr-time[disabled] {
	background-color: #e9ecef !important;
	opacity: 1 !important;
	cursor: default;
}

.bg_login {
	background-image: url("../img/bg_principal.png");
	background-size: cover;
	background-position: start;
	background-repeat: no-repeat;
}

.bg_acompanhamento {
	background-image: url("../img/bg_cinza.png");
	background-size: 100% 100%;
	background-position: center;
	background-repeat: no-repeat;
}

.govbr-button {
    background-color: #00b3e6; /* Azul mais vívido */
    border: none;
    transition: background-color 0.3s ease, transform 0.2s ease;
    border-radius: 0.5rem;
}

.govbr-button:hover {
    background-color: #009ec4;
    transform: scale(1.03);
    text-decoration: none;
}

.loader {
	display: none;
    margin: 3px 0;
    color: blue;
}

